Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.context.notification
Class TransactionNotification

    java.lang.Object
      java.util.EventObject
          org.mule.api.context.notification.ServerNotification
              org.mule.context.notification.TransactionNotification

All Implemented Interfaces:
  Serializable, MuleContextAware, BlockingServerEvent

    public class TransactionNotification

extends ServerNotification
implements BlockingServerEvent

See Also:
  Serialized Form

Field Summary
`static int` | `TRANSACTION_BEGAN`
`static int` | `TRANSACTION_COMMITTED`
`static int` | `TRANSACTION_ROLLEDBACK`

Fields inherited from class org.mule.api.context.notification.ServerNotification
`action, ADMIN_EVENT_ACTION_START_RANGE, COMPONENT_EVENT_ACTION_START_RANGE, CONNECTION_EVENT_ACTION_START_RANGE, CONTEXT_EVENT_ACTION_START_RANGE, CUSTOM_EVENT_ACTION_START_RANGE, EVENT_NAME, EXCEPTION_EVENT_ACTION_START_RANGE, MANAGEMENT_EVENT_ACTION_START_RANGE, MESSAGE_EVENT_ACTION_START_RANGE, MODEL_EVENT_ACTION_START_RANGE, muleContext, NO_ACTION_ID, NO_ACTION_NAME, NULL_ACTION, NULL_MESSAGE, REGISTRY_EVENT_ACTION_START_RANGE, resourceIdentifier, ROUTING_EVENT_ACTION_START_RANGE, SECURITY_EVENT_ACTION_START_RANGE, serverId, SERVICE_EVENT_ACTION_START_RANGE, SPACE_EVENT_ACTION_START_RANGE, timestamp, TRANSACTION_EVENT_ACTION_START_RANGE, TYPE_ERROR, TYPE_FATAL, TYPE_INFO, TYPE_TRACE, TYPE_WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TransactionNotification(Transaction transaction, int action)`

Method Summary
`String` | `getTransactionStringId()`
`String` | `toString()`

Methods inherited from class org.mule.api.context.notification.ServerNotification
`cloneMessage, generateId, getAction, getActionId, getActionName, getActionName, getPayloadToString, getResourceIdentifier, getServerId, getTimestamp, getType, isResourceIdentifierAnUri, registerAction, setMuleContext`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRANSACTION_BEGAN

    public static final int TRANSACTION_BEGAN

See Also:
  Constant Field Values

### TRANSACTION_COMMITTED

    public static final int TRANSACTION_COMMITTED

See Also:
  Constant Field Values

### TRANSACTION_ROLLEDBACK

    public static final int TRANSACTION_ROLLEDBACK

See Also:
  Constant Field Values

Constructor Detail

### TransactionNotification

    public TransactionNotification(Transaction transaction,
                                   int action)

Method Detail

### getTransactionStringId

    public String getTransactionStringId()

### toString

    public String toString()

  Overrides:
    `toString` in class `ServerNotification`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.